Debian Bug report logs - #717936
bind9: CVE-2013-4854: A specially crafted query can cause BIND to terminate abnormally

version graph

Package: bind9; Maintainer for bind9 is LaMont Jones <lamont@debian.org>; Source for bind9 is src:bind9.

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 26 Jul 2013 20:57:02 UTC

Severity: grave

Tags: fixed-upstream, patch, pending, security, upstream

Found in versions bind9/1:9.7.3.dfsg-1~squeeze9, bind9/1:9.8.4.dfsg.P1-6+nmu2, bind9/1:9.9.2.dfsg.P1-2

Fixed in versions bind9/1:9.8.4.dfsg.P1-6+nmu2+deb7u1, bind9/1:9.7.3.dfsg-1~squeeze11, bind9/1:9.8.4.dfsg.P1-6+nmu3, bind9/1:9.9.3.dfsg.P2-2

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, team@security.debian.org, secure-testing-team@lists.alioth.debian.org, LaMont Jones <lamont@debian.org>:
Bug#717936; Package bind9. (Fri, 26 Jul 2013 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, team@security.debian.org, secure-testing-team@lists.alioth.debian.org, LaMont Jones <lamont@debian.org>. (Fri, 26 Jul 2013 20:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bind9: CVE-2013-4854: A specially crafted query can cause BIND to terminate abnormally
Date: Fri, 26 Jul 2013 22:55:44 +0200
Package: bind9
Severity: grave
Tags: security upstream patch

Hi,

the following vulnerability was published for bind9.

CVE-2013-4854[0]:
A specially crafted query can cause BIND to terminate abnormally

See [1] for the upstream knowledge base entry.

If you fix the vulnerability please also make sure to include the
CVE (Common Vulnerabilities & Exposures) id in your changelog entry.

For further information see:

[0] http://security-tracker.debian.org/tracker/CVE-2013-4854
[1] https://kb.isc.org/article/AA-01015/0

Please adjust the affected versions in the BTS as needed.

Regards,
Salvatore



Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#717936; Package bind9. (Sat, 27 Jul 2013 08:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sat, 27 Jul 2013 08:03:11 GMT) Full text and rfc822 format available.

Message #10 received at 717936@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 717936@bugs.debian.org
Subject: Re: Bug#717936: bind9: CVE-2013-4854: A specially crafted query can cause BIND to terminate abnormally
Date: Sat, 27 Jul 2013 10:00:47 +0200
[Message part 1 (text/plain, inline)]
Control: tags -1 + patch

Attached is the diff to relevant code between bind-9.8.5-P1 and
bind-9.8.5-P2.

Are you working on updates?

Regards,
Salvatore
[CVE-2013-4854.patch (text/x-diff, attachment)]

Marked as found in versions bind9/1:9.7.3.dfsg-1~squeeze9. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 27 Jul 2013 08:45:18 GMT) Full text and rfc822 format available.

Marked as found in versions bind9/1:9.8.4.dfsg.P1-6+nmu2. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 27 Jul 2013 08:45:19 GMT) Full text and rfc822 format available.

Marked as found in versions bind9/1:9.9.2.dfsg.P1-2. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 27 Jul 2013 09:15:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#717936; Package bind9. (Sat, 27 Jul 2013 15:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sat, 27 Jul 2013 15:54:04 GMT) Full text and rfc822 format available.

Message #21 received at 717936@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 717936@bugs.debian.org
Subject: bind9: diff for NMU version 1:9.8.4.dfsg.P1-6+nmu3
Date: Sat, 27 Jul 2013 17:51:35 +0200
[Message part 1 (text/plain, inline)]
tags 717936 + pending
thanks

Hi LaMont, hi Bdale

I straight uploaded bind9 (versioned 1:9.8.4.dfsg.P1-6+nmu3) also to
the archive. DSA for bind was already released, and exploiting this
issue was already seen[1], hope this is okay also for you, to have the
fix asap also in unstable version of bind9.

 [1] https://kb.isc.org/article/AA-01015

Regards,
Salvatore
[bind9-9.8.4.dfsg.P1-6+nmu3-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 27 Jul 2013 15:54:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 27 Jul 2013 16:03:07 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Sat, 27 Jul 2013 16:06:05 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Sat, 27 Jul 2013 16:06:05 GMT) Full text and rfc822 format available.

Message #30 received at 717936-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 717936-close@bugs.debian.org
Subject: Bug#717936: fixed in bind9 1:9.8.4.dfsg.P1-6+nmu3
Date: Sat, 27 Jul 2013 16:03:10 +0000
Source: bind9
Source-Version: 1:9.8.4.dfsg.P1-6+nmu3

We believe that the bug you reported is fixed in the latest version of
bind9, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717936@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated bind9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 27 Jul 2013 10:24:07 +0200
Source: bind9
Binary: bind9 bind9utils bind9-doc host bind9-host libbind-dev libbind9-80 libdns88 libisc84 liblwres80 libisccc80 libisccfg82 dnsutils lwresd
Architecture: source all amd64
Version: 1:9.8.4.dfsg.P1-6+nmu3
Distribution: unstable
Urgency: high
Maintainer: LaMont Jones <lamont@debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 bind9      - Internet Domain Name Server
 bind9-doc  - Documentation for BIND
 bind9-host - Version of 'host' bundled with BIND 9.X
 bind9utils - Utilities for BIND
 dnsutils   - Clients provided with BIND
 host       - Transitional package
 libbind-dev - Static Libraries and Headers used by BIND
 libbind9-80 - BIND9 Shared Library used by BIND
 libdns88   - DNS Shared Library used by BIND
 libisc84   - ISC Shared Library used by BIND
 libisccc80 - Command Channel Library used by BIND
 libisccfg82 - Config File Handling Library used by BIND
 liblwres80 - Lightweight Resolver Library used by BIND
 lwresd     - Lightweight Resolver Daemon
Closes: 717936
Changes: 
 bind9 (1:9.8.4.dfsg.P1-6+nmu3) unstable; urgency=high
 .
   * Non-maintainer upload by the Security Team.
   * CVE-2013-4854: A specially crafted query that includes malformed rdata can
     cause named to terminate with an assertion failure while rejecting the
     malformed query. (Closes: #717936).
Checksums-Sha1: 
 22e3acae2fde0c76090f85e86f5bd17c433a9b43 2610 bind9_9.8.4.dfsg.P1-6+nmu3.dsc
 06006bd41f5541bf32644a2e21e6e77a23ce41cd 672973 bind9_9.8.4.dfsg.P1-6+nmu3.diff.gz
 0898c86a9f43a8debbc97da0b9857d0964b68069 365034 bind9-doc_9.8.4.dfsg.P1-6+nmu3_all.deb
 b06c353c52304604fe215b92395b8a02d924f23e 20544 host_9.8.4.dfsg.P1-6+nmu3_all.deb
 b3e0ff59c00008fec146eec5d33d4e83878fc527 361990 bind9_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 b7a8b34a1840f432269ac6e2b6b391ebc1ece458 125970 bind9utils_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 d27308cec6d59fb36bdc2a47bed5b2e2bd9d083b 70784 bind9-host_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 6bfe247ab52ff62bdef5aabbd1696ea48bf1cf5f 1581840 libbind-dev_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 1d0bd6986b2ac5da79c48563a193812d79715031 42238 libbind9-80_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 b8f148fb1838635f6b8cd4d542b75b3faff051a4 751916 libdns88_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 42e4deb7a8951fe0fd5cbd178102d5f6d8db9c31 177618 libisc84_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 1ab495bd735f4116a51b1ad74d9b7bad2a94fbdf 54586 liblwres80_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 6d8d7912f0a2c633c4001b9ea49b2eab07f43ba7 35398 libisccc80_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 b0a8bd439d6a92a18919c3cb9de3d7de7f59f045 62146 libisccfg82_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 361238f3e30d75bbd31ba346064904e269e10f22 160708 dnsutils_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 a8f1ddb88061898df1ca77ede67a01b6b8a4b429 244794 lwresd_9.8.4.dfsg.P1-6+nmu3_amd64.deb
Checksums-Sha256: 
 e6a8b8b54ffaa5a0e2efea285cab429bc70b8e2742505d82393ba7b03ae3eec6 2610 bind9_9.8.4.dfsg.P1-6+nmu3.dsc
 00f570ebfbc8378b9c595b3479a286178708b7cc7ef9a218c77fafa3dd691598 672973 bind9_9.8.4.dfsg.P1-6+nmu3.diff.gz
 749446a4add9d7a51f5270d06d200e49642a9d95a3af29f6d0999dd6f83a554c 365034 bind9-doc_9.8.4.dfsg.P1-6+nmu3_all.deb
 7a1ba8ad5d14a9ba2786d3bfd999ef28f501ab3277e445088b73ebc47a811086 20544 host_9.8.4.dfsg.P1-6+nmu3_all.deb
 6b30ecae215e26e86040149f2b4b67beedc10cee987343ba594d3d9252d76bcc 361990 bind9_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 a9a3cca60a468736926154ebfaa9c613c2fb8414d1be330054a4577326443913 125970 bind9utils_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 f7e8ece57e92fa8382f73b3e0ba52484b84ada34242a68e2b539301560d56fd8 70784 bind9-host_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 11b11421b270f93430c14d5ed61b709ad52205a7039bfb457bf40c612ecab67c 1581840 libbind-dev_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 02e20b7e0f622afb95bf92ab4f498d2879c2be77044594c18febc52c159d30ac 42238 libbind9-80_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 146ee81932a5b0ec34f7344a93f06425365756c6e7b779b36aa3b14bd33bacdc 751916 libdns88_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 077dc437ca692c76af6d06eacc5c71f6763534bb3f61a7658f5f1f244db4b000 177618 libisc84_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 cfd69b3de079bf384a3e9737f5254504969e37c5ca11da2b33179e0a1e6bfeca 54586 liblwres80_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 a97aa9deb7f5440c385a56385f27b57ad5539a97973eb8bb1e8f109f5347ef77 35398 libisccc80_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 93351927ddbfd8d62dc0cbb37cb0577088e21554056bdbbb339aba509a603f36 62146 libisccfg82_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 41a59594224b953bde536183c4aeb8d25119d080ce8d80c50f4059d614c13d6f 160708 dnsutils_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 3644a27f3696fae99f35a938b388be1f9068882d6e49708d4aa43fa185f2dc0f 244794 lwresd_9.8.4.dfsg.P1-6+nmu3_amd64.deb
Files: 
 fb0e8ae529a51265fb195ada43b03c93 2610 net optional bind9_9.8.4.dfsg.P1-6+nmu3.dsc
 e0830160eed4f121f0281cac8948d173 672973 net optional bind9_9.8.4.dfsg.P1-6+nmu3.diff.gz
 e9b55a13629b2c5f296d9f26a6130ad6 365034 doc optional bind9-doc_9.8.4.dfsg.P1-6+nmu3_all.deb
 0ad376d60b12a44caf35fcbbd1b73e4f 20544 net standard host_9.8.4.dfsg.P1-6+nmu3_all.deb
 34c8ae79b90d4fd90438b18345cbccf5 361990 net optional bind9_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 481512030079c3b1b1fba9dd4d742482 125970 net optional bind9utils_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 8b2e849bca6a2e20a30ee2b4a5cda4f3 70784 net standard bind9-host_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 09eb36e01247a612d9e793d404dd2e13 1581840 libdevel optional libbind-dev_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 13112ee809789f0de7c963635b4821e1 42238 libs standard libbind9-80_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 abaab44523d1d5299aeb12ff38912b11 751916 libs standard libdns88_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 5712bb8c0233e71fe48bc969ed3a99a6 177618 libs standard libisc84_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 b81644aefdf0d1d911a639d9c6fa721a 54586 libs standard liblwres80_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 9e7923069246b90639c6c3cde3c25063 35398 libs optional libisccc80_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 f62a98ce8e0132823d1354331b85dfaf 62146 libs optional libisccfg82_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 ab4ec5d0db02bf70e3a1d921f8205dd0 160708 net standard dnsutils_9.8.4.dfsg.P1-6+nmu3_amd64.deb
 531f30e78012d1d77e6c6ec38c8def0f 244794 net optional lwresd_9.8.4.dfsg.P1-6+nmu3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJR89IUAAoJEHidbwV/2GP+orsP/1+SVqwgA19CutIlKlqGwxmF
uekstqQNxUxR+swYum61CdgI76TLmWmxATaXse/D6aHONjFYbNi0umMWkdpAI7Fs
2AL1yFPF9cNncJb4ZRbjGtlg6R/duHCwPdMj6isgH/c3VydLthka19n7yl5o+D2+
JW2jNW0pKktHV+UPNjvEHvp8jWdNY9mYDnvHDlmd9vRCiz2InUIo83L6nK0LyYbs
bwdlJIvy5lNNZFw8i7OzUojGbBIyUurqST5SyO+SaasT2+kI6duVSnRCijSeSuWW
K2fwNQKkk9nL8qhjRfqW+lB8iPlJWpeD+xT27s5jxOU2/QX9uHKk0obRDXerTsaL
f0u48VICVR+QPj+lrL9Df01pdvNKQJP/KWW3Wc2RD3xclf9a1CyQ8pSN4NRjm3kf
Rr7JGNJ6fZ6Sb91VGGfwNY062uvYxrENbYLRKzWU7FsY0XYkQ47XhkzExQzvblu1
8glhqINu0zC84XXZKtZ2FB+nlRY8q+tfN6RmarCvfdygTx20UIEZgPM9OWEAvNHc
HMRHDUqkV3P10hki3X6K5CzC9Si9llrI5Sjq5gzF1vtXqV/C3eo7vOkkJa2AUrXm
1FonFhAu/33Fj2q7jSOsGqpPRNmrk3PxTdSds6unzJuVUtB5mAcaHC3CGy0Pseay
CKJTehkHM+JuA4D0WjKd
=V23k
-----END PGP SIGNATURE-----




Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Thu, 01 Aug 2013 19:21:16 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Thu, 01 Aug 2013 19:21:16 GMT) Full text and rfc822 format available.

Message #35 received at 717936-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 717936-close@bugs.debian.org
Subject: Bug#717936: fixed in bind9 1:9.8.4.dfsg.P1-6+nmu2+deb7u1
Date: Thu, 01 Aug 2013 19:17:37 +0000
Source: bind9
Source-Version: 1:9.8.4.dfsg.P1-6+nmu2+deb7u1

We believe that the bug you reported is fixed in the latest version of
bind9, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717936@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated bind9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 27 Jul 2013 10:39:42 +0200
Source: bind9
Binary: bind9 bind9utils bind9-doc host bind9-host libbind-dev libbind9-80 libdns88 libisc84 liblwres80 libisccc80 libisccfg82 dnsutils lwresd
Architecture: source all amd64
Version: 1:9.8.4.dfsg.P1-6+nmu2+deb7u1
Distribution: wheezy-security
Urgency: high
Maintainer: LaMont Jones <lamont@debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 bind9      - Internet Domain Name Server
 bind9-doc  - Documentation for BIND
 bind9-host - Version of 'host' bundled with BIND 9.X
 bind9utils - Utilities for BIND
 dnsutils   - Clients provided with BIND
 host       - Transitional package
 libbind-dev - Static Libraries and Headers used by BIND
 libbind9-80 - BIND9 Shared Library used by BIND
 libdns88   - DNS Shared Library used by BIND
 libisc84   - ISC Shared Library used by BIND
 libisccc80 - Command Channel Library used by BIND
 libisccfg82 - Config File Handling Library used by BIND
 liblwres80 - Lightweight Resolver Library used by BIND
 lwresd     - Lightweight Resolver Daemon
Closes: 717936
Changes: 
 bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u1) wheezy-security; urgency=high
 .
   * Non-maintainer upload by the Security Team.
   * CVE-2013-4854: A specially crafted query that includes malformed rdata can
     cause named to terminate with an assertion failure while rejecting the
     malformed query. (Closes: #717936).
Checksums-Sha1: 
 f876e691440c8b694857c28ef518e997767022ca 2638 bind9_9.8.4.dfsg.P1-6+nmu2+deb7u1.dsc
 3ab83667ab3ce2df6bdf558cc1e5a361fe5b539b 7258441 bind9_9.8.4.dfsg.P1.orig.tar.gz
 81497ea523e93f274a1f92e146da9d52869794d5 672985 bind9_9.8.4.dfsg.P1-6+nmu2+deb7u1.diff.gz
 3aef5ad132e643e96589da0fa0453e0b4378c15c 365052 bind9-doc_9.8.4.dfsg.P1-6+nmu2+deb7u1_all.deb
 05b5e50700ec3fb2ad3ee884fc1da97ab4b068a1 20558 host_9.8.4.dfsg.P1-6+nmu2+deb7u1_all.deb
 04e98e3c6dba64905d11726906d2c4ce6c0a942a 371058 bind9_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 d988b632578df5f6330158dae6c4f8a22914c2b1 128006 bind9utils_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 eefd98365ad7f2c644e3cfec633dd4d8f0c3a978 73356 bind9-host_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 3fb980d052e08d4ea283fcba4f8bd31a23c8f63c 1580518 libbind-dev_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 5841b33d11d6cf5bd73290b5a1f9db066472ec3c 42248 libbind9-80_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 e576d5f1ca435635ecae9e51f229b567d11b9bb2 750230 libdns88_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 0e4077b2b354124a82482585c1fb9e014a8d04a3 182500 libisc84_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 568048984219033156e7398dd40739059aa5d7d6 55200 liblwres80_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 034ba88365cab4d877c6848d71aa122901bd0565 35924 libisccc80_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 b37b7f57870d1dd1acff72d3b30a3fefbd6c986d 62760 libisccfg82_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 c744d756b099eab1e6440f0b8ec915251d7cddc7 166128 dnsutils_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 87daedf122678f5fb11c4d7922b5693f2899d5f0 252440 lwresd_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
Checksums-Sha256: 
 79439c2842ba2799a66f29673a7596eef3d2299b38195b47729cd5494f25087a 2638 bind9_9.8.4.dfsg.P1-6+nmu2+deb7u1.dsc
 de7b8ef3f5336ba2c19e7ad8cec618e1bf77fbd81cc2e45cc7f798544e843bdb 7258441 bind9_9.8.4.dfsg.P1.orig.tar.gz
 2fcd0aec74b09ef8d56ce2ffe55094de282e65bc4cbeb6948cd9b3a1476fb829 672985 bind9_9.8.4.dfsg.P1-6+nmu2+deb7u1.diff.gz
 f7694032bd607e35e92974495dd3108576ffa77e81e70fc049f86212ae390e90 365052 bind9-doc_9.8.4.dfsg.P1-6+nmu2+deb7u1_all.deb
 80c71a4e9dd75f19f3b134a544694abaa02ff751cd00dc7a91cfcc4461a93b53 20558 host_9.8.4.dfsg.P1-6+nmu2+deb7u1_all.deb
 41dffd8ede902f809a20c274565654c3beaae57e7c52d16342f9291a1912e21b 371058 bind9_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 c55da2b19709478809be3fff975e20f622ed12ce49a43cbad255694daf1b5c88 128006 bind9utils_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 f6f2271bbaeb34bac8c3c8efe8c858a26b1ffc826949f9b9235bef1faa92fddd 73356 bind9-host_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 3e226a731729bae94540a675d38d85b86e9e5ccd642672c4c44b96be77a26296 1580518 libbind-dev_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 0db781e7b35ccaa5841fd433d0a2574c7a79238030e36ec86c10cd4a5bfc814f 42248 libbind9-80_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 247c7e1a67c64a59357b078cbd892d87f251d1e606e5479ab65340d281c89f83 750230 libdns88_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 4e8bb71db365ca0f04747623e252c97f7688f61a53b3d6b59e51fa6ff7c722c5 182500 libisc84_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 bc46a60a3d493be7753fb7006d3e0a5ea068143b85894e7298e2bcc52ea51dc1 55200 liblwres80_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 3932b8af411bc1261f1bc54845e4f56f43c6373e413c53a227449871bc52bfd2 35924 libisccc80_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 defa63cc8c7d0cfc7aa30d7211c8073cabafdab7e42e3d3fd275d8e6deb1a1cf 62760 libisccfg82_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 1af90894f42ad15b5fe2fb9b6e8caacbdabcb0010780a24fdfa8af9f828e6b6c 166128 dnsutils_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 dcada8d482a320492359b5b091ee8548a572e62ad3a862ae73347d0003069a52 252440 lwresd_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
Files: 
 d070ffcc0ed62dde980b3b2321befe6a 2638 net optional bind9_9.8.4.dfsg.P1-6+nmu2+deb7u1.dsc
 96f5c03a8b42d29519c8860bea5a8353 7258441 net optional bind9_9.8.4.dfsg.P1.orig.tar.gz
 62e3d74f61bd21bc18c67fc067c14e63 672985 net optional bind9_9.8.4.dfsg.P1-6+nmu2+deb7u1.diff.gz
 5a97a00d5c1577a9872dcd8d78c33407 365052 doc optional bind9-doc_9.8.4.dfsg.P1-6+nmu2+deb7u1_all.deb
 280f118207a1238362df45729de972fd 20558 net standard host_9.8.4.dfsg.P1-6+nmu2+deb7u1_all.deb
 4b93867cdf2d411823985a7666df649e 371058 net optional bind9_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 eb99aee7f6527ebea9a32308fb8ff0bf 128006 net optional bind9utils_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 0227da20a6ed117dcf447a55bcfa2f89 73356 net standard bind9-host_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 c02c157c970102d4b38882b706156e5c 1580518 libdevel optional libbind-dev_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 d8a60b2f2405314a258f6439771a7db0 42248 libs standard libbind9-80_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 c9015503627df62f64b915a4b5f03cb2 750230 libs standard libdns88_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 581da8164e8b9c0b9185cceef86b2aa7 182500 libs standard libisc84_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 0b06f012eb6c88f01957ac0679a0925a 55200 libs standard liblwres80_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 e6e517223b78f864f341d8507e32358f 35924 libs optional libisccc80_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 cca202ad3bb2fe2b64fdee4db5e12a07 62760 libs optional libisccfg82_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 247001ddd68d62ac0c4e817d0c6ea39b 166128 net standard dnsutils_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb
 a231a15aebf8c74cdca96e023552fb0d 252440 net optional lwresd_9.8.4.dfsg.P1-6+nmu2+deb7u1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJR84llAAoJEHidbwV/2GP+1M4P/3W6ZOInXiEs+zjT80EBINsz
SffdI8VMBGL8yvg92PNoBxCgjE5VDan8b4MJJkU2bTMkYFMkJQYkxtXCgzivqm7y
dteKzJqXeUGnrFZj/PGRFtM7UiHP0kh34UDiUHur3rEUuj7usMnBRFYS813614oU
Cf5Ae8ddEWu4bIvfWC6BE3XOv4kkgeSmE4dfdWXtTjT33ENLDIQ05FK5TNkmD4rF
VTCH9f3j6lO3MSpQ6R8EZSCbe8tcz9SFsDMEcz8RycEt3o/NTHMwQIdt9xDYr3o1
IBvQjdODefXtPWwoA0hleFUylN6E6FbrptpnkK4jB3bPsd1pXDnHOtu9CRdOclFL
Tc6f94v738GHlGyCdwht7C4PdLKUwb2x6kpCKcRK05rxmSRaq/231HwM+y03G7un
Kz8Nt1miWRAPZWaOe9b64kPR/EJmKDA5flTIMfpYjGRb33cRofhxTqA87IEw0WVC
g3tpAgW587tiERFncJT+/BMt+BQduUgoR3e6HMI9U4559I7CAazlwXAV4VnjFyXO
EEag7wPQ3wqWaR0zQrPkCXY7mFwM1rwCcdWktUUNz09Mu4zYd6DmRIsxuXILx6iR
xAST+y1GfllmiiaCnJ8NO4ZmQ07rGKWzIY8K5y9M4IZl3s5K23ghnquCmYydCkct
ilXrzofO8ZCU3rb1utwV
=YjmQ
-----END PGP SIGNATURE-----




Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Sat, 10 Aug 2013 15:51:24 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Sat, 10 Aug 2013 15:51:24 GMT) Full text and rfc822 format available.

Message #40 received at 717936-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 717936-close@bugs.debian.org
Subject: Bug#717936: fixed in bind9 1:9.7.3.dfsg-1~squeeze11
Date: Sat, 10 Aug 2013 15:48:04 +0000
Source: bind9
Source-Version: 1:9.7.3.dfsg-1~squeeze11

We believe that the bug you reported is fixed in the latest version of
bind9, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717936@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated bind9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 27 Jul 2013 11:09:40 +0200
Source: bind9
Binary: bind9 bind9utils bind9-doc host bind9-host libbind-dev libbind9-60 libdns69 libisc62 liblwres60 libisccc60 libisccfg62 dnsutils lwresd
Architecture: source all amd64
Version: 1:9.7.3.dfsg-1~squeeze11
Distribution: squeeze-security
Urgency: high
Maintainer: LaMont Jones <lamont@debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 bind9      - Internet Domain Name Server
 bind9-doc  - Documentation for BIND
 bind9-host - Version of 'host' bundled with BIND 9.X
 bind9utils - Utilities for BIND
 dnsutils   - Clients provided with BIND
 host       - Transitional package
 libbind-dev - Static Libraries and Headers used by BIND
 libbind9-60 - BIND9 Shared Library used by BIND
 libdns69   - DNS Shared Library used by BIND
 libisc62   - ISC Shared Library used by BIND
 libisccc60 - Command Channel Library used by BIND
 libisccfg62 - Config File Handling Library used by BIND
 liblwres60 - Lightweight Resolver Library used by BIND
 lwresd     - Lightweight Resolver Daemon
Closes: 717936
Changes: 
 bind9 (1:9.7.3.dfsg-1~squeeze11) squeeze-security; urgency=high
 .
   * Non-maintainer upload by the Security Team.
   * CVE-2013-4854: A specially crafted query that includes malformed rdata can
     cause named to terminate with an assertion failure while rejecting the
     malformed query. (Closes: #717936).
Checksums-Sha1: 
 d74323210fa39ed961db98d3928b826d651b404f 2192 bind9_9.7.3.dfsg-1~squeeze11.dsc
 94f8b2b4268879113bc9b68b7224180bec816776 606490 bind9_9.7.3.dfsg-1~squeeze11.diff.gz
 e3175551d6263a184d0c83014d69099a7ae719ae 345172 bind9-doc_9.7.3.dfsg-1~squeeze11_all.deb
 2b01d1acf9c490d9dbcb87261a3785cf70b63cc6 18542 host_9.7.3.dfsg-1~squeeze11_all.deb
 10ddd695a705a558089ccab02e72c948e4973dcd 359984 bind9_9.7.3.dfsg-1~squeeze11_amd64.deb
 518e9f5593e6946c01d42243d71edfdb57d8d068 126446 bind9utils_9.7.3.dfsg-1~squeeze11_amd64.deb
 c6fe39f3137aa9b8820fff3b4deb2b7d7e5f49b0 71632 bind9-host_9.7.3.dfsg-1~squeeze11_amd64.deb
 1228b94178888b21545cfc74f2a785601f0e1498 1500020 libbind-dev_9.7.3.dfsg-1~squeeze11_amd64.deb
 5a43696d961c9d2a2de6153f8947628461afc435 38790 libbind9-60_9.7.3.dfsg-1~squeeze11_amd64.deb
 5d2900ec20cf3c0aee4d4e13da2e6cea9af79d00 708800 libdns69_9.7.3.dfsg-1~squeeze11_amd64.deb
 60d348f4237eeb7636601c1f26f3d479b91cd02e 175084 libisc62_9.7.3.dfsg-1~squeeze11_amd64.deb
 562f9e98c8186f4da0027bec4bfd1336739f4777 52372 liblwres60_9.7.3.dfsg-1~squeeze11_amd64.deb
 7c4200e6e33ff551c4569a0d7b4d477be7b2f33a 33312 libisccc60_9.7.3.dfsg-1~squeeze11_amd64.deb
 6452d3a41389285ab31aa6d25413cc306d9c536f 57544 libisccfg62_9.7.3.dfsg-1~squeeze11_amd64.deb
 4949fb68eb6cb15193b67ca2516efc46f16af984 164914 dnsutils_9.7.3.dfsg-1~squeeze11_amd64.deb
 b46888389a6cfff9c58f74a615862e674c3a6d82 243478 lwresd_9.7.3.dfsg-1~squeeze11_amd64.deb
Checksums-Sha256: 
 72a65ca3e168719d7e80c4d746326f466aae87ff874ddd672a97edbc39d52bc1 2192 bind9_9.7.3.dfsg-1~squeeze11.dsc
 3363513d85f0fa2851e2637d8eb2abd3a023cf4447f7cdbcd06450fc76e47e9b 606490 bind9_9.7.3.dfsg-1~squeeze11.diff.gz
 b5dd2967fb6eac3710029dfb6834904760a2326558a210d214f817e1a2a73cd1 345172 bind9-doc_9.7.3.dfsg-1~squeeze11_all.deb
 899bb761de0c0ac1260eaf7913262fc52740a15eca8c95c06cd3ba30685365f0 18542 host_9.7.3.dfsg-1~squeeze11_all.deb
 e375dc1cb920e2f00f2b6a4ca531b4a55f3b7e9fd97381aff88928459781af5f 359984 bind9_9.7.3.dfsg-1~squeeze11_amd64.deb
 866143c031b598be41d377093a3950f32d54e26536e23d2508e7d88163113a23 126446 bind9utils_9.7.3.dfsg-1~squeeze11_amd64.deb
 0b48a97009cc6f20242f43faaf32c1e2df447d53b12ac68e9e54814171db371a 71632 bind9-host_9.7.3.dfsg-1~squeeze11_amd64.deb
 a0a9bb18c53d8efa9acb9b6b1c2b9c17b2023d535d18e014eac77aa3bda10c1d 1500020 libbind-dev_9.7.3.dfsg-1~squeeze11_amd64.deb
 0903205c834e9be31d245bb35e8d0271e2c732c2b7904016b3204c020f4fb84d 38790 libbind9-60_9.7.3.dfsg-1~squeeze11_amd64.deb
 52092272bd6ebbcf546d8959958db506edba81c0dac47956e1ffbbe223e4b01c 708800 libdns69_9.7.3.dfsg-1~squeeze11_amd64.deb
 2f62fb3e3b03c1e2ff4f8f738da9f05d2f6329c207ce2927aee95d10db043193 175084 libisc62_9.7.3.dfsg-1~squeeze11_amd64.deb
 a6c17c0f070ee6a0f2695cf4ddb2ecdc2722a64e97f6160377125da1687612e0 52372 liblwres60_9.7.3.dfsg-1~squeeze11_amd64.deb
 9da68228675ef723a0233acb462d2061b87bc12ec6aa569d669852ed2ae6085c 33312 libisccc60_9.7.3.dfsg-1~squeeze11_amd64.deb
 2cd987ad55b36b000bfd6980804856a2b87845f2bc6a2b737d0098fd2eb9701e 57544 libisccfg62_9.7.3.dfsg-1~squeeze11_amd64.deb
 cc3f581a54ece9b53ae013776ee174e8970e2b36ded9183221f2752e2d9e9659 164914 dnsutils_9.7.3.dfsg-1~squeeze11_amd64.deb
 41e59a581e1a3d17961dd15805f0fcc58eea544a186f53ec2bb78b05de977632 243478 lwresd_9.7.3.dfsg-1~squeeze11_amd64.deb
Files: 
 22a0322c6605de70ab096f0327555c9d 2192 net optional bind9_9.7.3.dfsg-1~squeeze11.dsc
 046463197e23ca9cee81bec51d775254 606490 net optional bind9_9.7.3.dfsg-1~squeeze11.diff.gz
 148395a02924ac286d13d9eb62936038 345172 doc optional bind9-doc_9.7.3.dfsg-1~squeeze11_all.deb
 7e809f7cd4b3dec2e44f0de93c0d0fa4 18542 net standard host_9.7.3.dfsg-1~squeeze11_all.deb
 40a7535daab2aaf2020e9a183de39d64 359984 net optional bind9_9.7.3.dfsg-1~squeeze11_amd64.deb
 39c98c9a592408a122302a3c579914d3 126446 net optional bind9utils_9.7.3.dfsg-1~squeeze11_amd64.deb
 90ed16e7ac9c7a8dcba3c7b4a882ff7f 71632 net standard bind9-host_9.7.3.dfsg-1~squeeze11_amd64.deb
 069251fccb6c6bf4769c17b047bb5357 1500020 libdevel optional libbind-dev_9.7.3.dfsg-1~squeeze11_amd64.deb
 c3d26d7ad31ce5141b55b60c92ca296c 38790 libs standard libbind9-60_9.7.3.dfsg-1~squeeze11_amd64.deb
 48b6f2c0160dec8e50f337535fe750e1 708800 libs standard libdns69_9.7.3.dfsg-1~squeeze11_amd64.deb
 30bdb95be91d9b6b72df3caaeb9238b8 175084 libs standard libisc62_9.7.3.dfsg-1~squeeze11_amd64.deb
 2dee783819f5699f7fcfeccffdd7575a 52372 libs standard liblwres60_9.7.3.dfsg-1~squeeze11_amd64.deb
 855139493c00d0413d82853b8b3688d2 33312 libs optional libisccc60_9.7.3.dfsg-1~squeeze11_amd64.deb
 d523d5491cf713628fe2aa01553c0f58 57544 libs optional libisccfg62_9.7.3.dfsg-1~squeeze11_amd64.deb
 35e2b6071e6791f084c18afcab942ba7 164914 net standard dnsutils_9.7.3.dfsg-1~squeeze11_amd64.deb
 fb078ad30d430e09739a71fb690076e9 243478 net optional lwresd_9.7.3.dfsg-1~squeeze11_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJR84/UAAoJEHidbwV/2GP+g5YP/1r6M7w6wPreBg/Aw1Ul78lw
NKaXwURwr9ehD79GO4m3dyFtei8mRHocMdZTGB2lJxeY6dmZSqwKDN57B0/PCNLN
EukmQUtWYZYYepJLIdqHGCbM8+b+BmGMDuXool12RyiO5XufYQoqD4n+vxBfmUHc
Tag8iucAsbei+IHwmZ2WNnX2lm55nEJNvf1m8kUSi8xF3IK+Qe6O6up6SUGycXlo
MBMjqoGMn8LGJNvaZKl1RTDuqCpPBJqESNZGOaaZlz1HnJzHVYtOYUAyLOW2qzsa
QWT7HkZniQPJ7ThFxWbWH/T2lWDIyoswQSJg6q/nCKXa6lLZymhP02YG7t0zM5lJ
Yo/ae51e+zxWqTyXUHQDzWfzk9Kpu4/bmJOOAx4xodGWQtHaQTqv25+W/ZZVBQot
2zQR9+N0ke/payDl1aKv7yItQkzg79TibcHXJ/JmJPuQ05M3G7cep+050a1+42iS
8zJE2hrciaEY+3beRl2toMK8YpKFcc4+SdfDO7FXTntI4Oa1y/dQGEoajNXolQ72
qxC8bMzp3fgoEnl8ojq4mP3xw3jUI4Oe/3+1L5sG/MYHiRmXTa/Cb1brT5ijPNBF
rh6C5jHCH5LYOD+MXDj4tDIhVeKYeIjBJxzAm8tBFaEm8ZVeifUN/MEu8z+Yke1K
BkEqUjXJbl876VoK6/yR
=pRKu
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 12:57:10 GMT) Full text and rfc822 format available.

Marked as fixed in versions bind9/1:9.9.3.dfsg.P2-2. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Thu, 31 Oct 2013 20:06:19 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Nov 2013 07:34:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:17:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.